Subject: Summary: availabe packages for neural networks

From: "Renxiao Wang" <[email-masked]>
Date: Wed, 12 Dec 2001 11:59:28 -0500

Dear CCLers,

Last week I pasted a post looking for available packages for building neural networks. And here is the summary of the answers:

----------------------------------------------------------------------
> From Ryszard Czerminski <[email-masked]>

One well known package is SNNS (just search for it on the web).

I would recommend also that you take a look at Support Vector Machines
for this type of work.
You may find a lot of freely available packages
starting from www.support-vector.net 

----------------------------------------------------------------------
> From Dr. Thomas Exner <[email-masked]>

I would recommend the Stuttgart Neural Network Simulator (SNNS). You can
receive it free from http://www-ra.informatik.uni-tuebingen.de/SNNS/ for
a number of different operating systems. It can simulate a whole bunch
of different neuro nets not only backpropagation and the trained net can
be written out as a C subroutine to use in other programs. 

----------------------------------------------------------------------
> From Didier Mathieu <[email-masked]>

So far I never used neuron networks for but some colleagues who did used (and praised) SNNS: 
  
http://www-ra.informatik.uni-tuebingen.de/SNNS/ 

----------------------------------------------------------------------
> From Donald B. Boyd, Ph.D. <[email-masked]>

I highly recommend the following tutorial chapter.  It includes 
information about software.

K. Peterson, in Reviews in Computational Chemistry, K. B. Lipkowitz 
and D. B. Boyd, Eds., Wiley-VCH, New York, 2000, Vol. 16, pp. 53-140. 
Artificial Neural Networks and Their Use in Chemistry.

----------------------------------------------------------------------
> From Yvonne Martin <[email-masked]>

The one recommended to me by Jens Sadowski and Hugo Kubinyi is that from
Stuttgart University. I looked at their web site and the program looks very
complete.

----------------------------------------------------------------------
> From "J.Aires de Sousa" <[email-masked]>

following are some features of JATOON (website:
http://www.dq.fct.unl.pt/qoa/jas/jatoon/)

----------------------------------------------------------------------

> From "Borosy, Andras {Basi~Basel}" <[email-masked]>

Good idea. I used 3DNet for this purpose. I do not know if it available commercially (A.P. Borosy, P. Matyus, K. Keseru, Chemometrics & Int. Lab. Syst. 54, 107-122, 2000.)

Theoretically any ANN with supervised learning is capable for that. See

http://www.emsl.pnl.gov:2080/proj/neuron/neural/systems/software.html#131 

Stuttgart Neural Network System is a very good choice, because it is a complex, powerfull application, run in many op. syst and free.

http://www-ra.informatik.uni-tuebingen.de/SNNS/ 
  
-----------------------------------------------------------------------

As you can see, most people have mentioned "SNNS". I have downloaded that program, which seems to be a professional package right for my purpose..

Regards,

Renxiao Wang, Ph.D.
University of Michigan Medical School